# string.h File Reference

`#include <ubixos/types.h>`

Go to the source code of this file.

## Functions

int | kstrcmp (char *str1, char *str2)
int | kstrncmp (const char *a, const char *b, size_t c)
void * | kmemcpy (const void *dst, const void *src, size_t length)
void * | kmemset (void *dst, int c, size_t length)
int | kstrlen (const char *string)
int | kmemcmp (const void *dst, const void *src, size_t length)
void | kstrncpy (char *dest, const char *src, size_t size)
char * | strtok (char *str, const char *sep)
char * | strtok_r (char *str, const char *sep, char **last)
int | sprintf (char *buf, const char *fmt,...)

## Function Documentation

int kmemcmp | ( | const void * | dst,
|  | const void * | src,
|  | size_t | length
| ) |

void* kmemcpy | ( | const void * | dst,
|  | const void * | src,
|  | size_t | length
| ) |

void* kmemset | ( | void * | dst,
|  | int | c,
|  | size_t | length
| ) |

int kstrcmp | ( | char * | str1,
|  | char * | str2
| ) |

int kstrlen | ( | const char * | string | ) |

int kstrncmp | ( | const char * | a,
|  | const char * | b,
|  | size_t | c
| ) |

void kstrncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | size
| ) |

int sprintf | ( | char * | buf,
|  | const char * | fmt,
|  | ... |
| ) |

char* strtok | ( | char * | str,
|  | const char * | sep
| ) |

char* strtok_r | ( | char * | str,
|  | const char * | sep,
|  | char ** | last
| ) |